## mx-live-usb-maker 18.12.2

=== debian/changelog ===
mx-live-usb-maker (18.12.2) mx; urgency=medium

  * fix to allow space in source folder/file names

 -- Adrian <adrian@mxlinux.org>  Mon, 17 Dec 2018 16:11:29 -0500

mx-live-usb-maker (18.12.1) mx; urgency=medium

  * quote source dir to allow spaces in name

 -- Adrian <adrian@mxlinux.org>  Mon, 17 Dec 2018 12:46:34 -0500

mx-live-usb-maker (18.12) mx; urgency=medium

  * added logging

 -- Adrian <adrian@mxlinux.org>  Sun, 16 Dec 2018 01:04:40 -0500

mx-live-usb-maker (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 13:36:22 -0500

mx-live-usb-maker (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 19:00:59 -0400

mx-live-usb-maker (18.8.3) mx; urgency=medium

  * fix advanced button in KDE

 -- Adrian <adrian@mxlinux.org>  Wed, 29 Aug 2018 20:27:04 -0400

mx-live-usb-maker (18.8.2) mx; urgency=medium

  * fix icon other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 16:23:41 -0400

mx-live-usb-maker (18.8.1) mx; urgency=medium

  * fix enabling source combobox in live environment when switching clone mode

 -- Adrian <adrian@mxlinux.org>  Fri, 03 Aug 2018 20:12:06 -0400

mx-live-usb-maker (18.8) mx; urgency=medium

  * fix icon for other themes

 -- Adrian <adrian@mxlinux.org>  Wed, 01 Aug 2018 01:49:38 -0400

mx-live-usb-maker (18.7) mx; urgency=medium

  * disable clone running live system when using 'toram'

 -- Adrian <adrian@mxlinux.org>  Tue, 24 Jul 2018 14:56:28 -0400

mx-live-usb-maker (18.6.1) mx; urgency=medium

  * added changelog button 
  * fixed getVersion


 -- Adrian <adrian@mxlinux.org>  Sun, 24 Jun 2018 21:55:35 -0400

mx-live-usb-maker (18.6) mx; urgency=medium

  * update interface

 -- Adrian <adrian@mxlinux.org>  Fri, 08 Jun 2018 13:50:01 -0400

mx-live-usb-maker (18.3+1) mx; urgency=medium

  * fix typo

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 22:09:47 -0500

mx-live-usb-maker (18.3) mx; urgency=medium

  * Release with new translations 

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 14:47:22 -0500

mx-live-usb-maker (0.18.01) mx; urgency=medium

  * initial release

 -- Adrian <adrian@mxlinux.org>  Wed, 20 Dec 2017 15:22:57 -0500

=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-live-usb-maker.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --parallel

## mx-live-usb-maker 25.09.1

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2017-2025 MX Authors
# *
# * Authors: Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-live-usb-maker.
# *
# * mx-live-usb-maker is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * mx-live-usb-maker is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with mx-live-usb-maker.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

cmake_minimum_required(VERSION 3.16)

# Get version from debian/changelog
execute_process(
    COMMAND dpkg-parsechangelog -SVersion
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE DPKG_RESULT
)

if(NOT DPKG_RESULT EQUAL 0)
    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
endif()

project(mx-live-usb-maker
    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
    DESCRIPTION "MX Live USB Maker - Graphical utility for creating bootable USB drives"
    LANGUAGES CXX
)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable compile commands export for IDEs and tools
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Optimize for Ninja builds
if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Enable colored output for Ninja
    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        add_compile_options(-fdiagnostics-color=always)
    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        add_compile_options(-fcolor-diagnostics)
    endif()
endif()

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Find Qt6 components
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    LinguistTools
)

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Define source files
set(SOURCES
    src/main.cpp
    src/mainwindow.cpp
    src/cmd.cpp
    src/about.cpp
)

set(HEADERS
    src/mainwindow.h
    src/cmd.h
    src/about.h
    src/common.h
    src/version.h
)

set(UI_FILES
    src/mainwindow.ui
)

set(RESOURCE_FILES
    images.qrc
)

# Get all translation files
file(GLOB TRANSLATION_FILES "translations/*.ts")

# Create the executable
add_executable(mx-live-usb-maker
    ${SOURCES}
    ${HEADERS}
    ${UI_FILES}
    ${RESOURCE_FILES}
)

# Link Qt6 libraries
target_link_libraries(mx-live-usb-maker
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Set compiler flags
target_compile_options(mx-live-usb-maker PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

# Add compiler-specific flags
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(mx-live-usb-maker PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(mx-live-usb-maker PRIVATE -Werror=return-local-addr)
endif()

# Set compile definitions
target_compile_definitions(mx-live-usb-maker PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PROJECT_VERSION}"
)

# Release-specific optimizations
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(mx-live-usb-maker PRIVATE NDEBUG)
    target_compile_options(mx-live-usb-maker PRIVATE -O3)

    # Add LTO - different flags for different compilers
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
        target_compile_options(mx-live-usb-maker PRIVATE -flto=thin)
        target_link_options(mx-live-usb-maker PRIVATE -flto=thin)
    else()
        target_compile_options(mx-live-usb-maker PRIVATE -flto=auto)
        target_link_options(mx-live-usb-maker PRIVATE -flto=auto)
    endif()
endif()

# Handle translations
qt6_add_translations(mx-live-usb-maker
    TS_FILES ${TRANSLATION_FILES}
    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
    QM_FILES_OUTPUT_VARIABLE qm_files
)

# Set target properties
set_target_properties(mx-live-usb-maker PROPERTIES
    OUTPUT_NAME "mx-live-usb-maker"
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
)

# Install target (required by Debian build system)
# Other files are handled by debian/install
install(TARGETS mx-live-usb-maker
    RUNTIME DESTINATION bin
)

## mx-live-usb-maker 19.1

=== debian/changelog ===
mx-live-usb-maker (19.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 09:54:17 -0500

=== debian/control ===
Source: mx-live-usb-maker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-default,
        qttools5-dev-tools,
        qt5-qmake,
	debhelper (>=9),
	libcmd
Standards-Version: 3.9.8

Package: mx-live-usb-maker
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, live-usb-maker, libcmd, cli-shell-utils, xdg-utils | mx-viewer, menu
Description: mx-live-usb-maker
 mx-live-usb-maker

## mx-live-usb-maker 19.2

=== debian/changelog ===
mx-live-usb-maker (19.2) mx; urgency=medium

  * run partition-clean before using dd copy

 -- Adrian <adrian@mxlinux.org>  Wed, 13 Feb 2019 16:24:21 -0500

## mx-live-usb-maker 19.4

=== debian/changelog ===
mx-live-usb-maker (19.4) mx; urgency=medium

  * add force nofuse in advanced options

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Apr 2019 14:22:42 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,13 @@
 
 Package: mx-live-usb-maker
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, live-usb-maker, libcmd, cli-shell-utils, xdg-utils | mx-viewer, menu
+Depends: ${misc:Depends}, 
+	${shlibs:Depends}, 
+	live-usb-maker (>=0.3.7), 
+	libcmd, 
+	cli-shell-utils, 
+	xdg-utils | mx-viewer, 
+	menu
 Description: mx-live-usb-maker
  mx-live-usb-maker

## mx-live-usb-maker 19.4.1

=== debian/changelog ===
mx-live-usb-maker (19.4.1) mx; urgency=medium

  * remove unneeded version dependency

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Apr 2019 15:21:11 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${misc:Depends}, 
 	${shlibs:Depends}, 
-	live-usb-maker (>=0.3.7), 
+	live-usb-maker, 
 	libcmd, 
 	cli-shell-utils, 
 	xdg-utils | mx-viewer,

## mx-live-usb-maker 19.4.4

=== debian/changelog ===
mx-live-usb-maker (19.4.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:38:59 -0400

## mx-live-usb-maker 19.4.5

=== debian/changelog ===
mx-live-usb-maker (19.4.5) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Apr 2019 15:05:43 -0400

## mx-live-usb-maker 19.5

=== debian/changelog ===
mx-live-usb-maker (19.5) mx; urgency=medium

  * iso selection box to start in user home folder

 -- Adrian <adrian@mxlinux.org>  Thu, 02 May 2019 07:57:46 -0400

mx-live-usb-maker (19.4.6) mx; urgency=medium

  * tweak iso selection button to start in user home directory instead of root 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 27 Apr 2019 19:46:28 -0400

## mx-live-usb-maker 19.5.1

=== debian/changelog ===
mx-live-usb-maker (19.5.1) mx; urgency=medium

  * don't resize window when selecting long path/name ISOs

 -- Adrian <adrian@mxlinux.org>  Thu, 09 May 2019 01:35:20 -0400

## mx-live-usb-maker 19.7

=== debian/changelog ===
mx-live-usb-maker (19.7) mx; urgency=medium

  * fix window buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 13:45:42 -0400

## mx-live-usb-maker 19.7.2

=== debian/changelog ===
mx-live-usb-maker (19.7.2) mx; urgency=medium

  * fix icon

 -- Adrian <adrian@mxlinux.org>  Wed, 10 Jul 2019 14:54:06 -0400

mx-live-usb-maker (19.7.1) mx; urgency=medium

  * add filename parameter
  * new icon

 -- Adrian <adrian@mxlinux.org>  Tue, 09 Jul 2019 23:51:15 -0400

=== debian/control ===
Source: mx-live-usb-maker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9),
               libcmd,
               qt5-default,
               qt5-qmake,
               qttools5-dev-tools
Standards-Version: 3.9.8

Package: mx-live-usb-maker
Architecture: any
Depends: cli-shell-utils,
         libcmd,
         live-usb-maker,
         menu,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: mx-live-usb-maker
 mx-live-usb-maker

## mx-live-usb-maker 19.8

=== debian/changelog ===
mx-live-usb-maker (19.8) mx; urgency=medium

  * add data-first 

 -- Adrian <adrian@mxlinux.org>  Sat, 03 Aug 2019 21:30:13 -0400

## mx-live-usb-maker 19.8.1

=== debian/changelog ===
mx-live-usb-maker (19.8.1) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 13:56:22 -0400

## mx-live-usb-maker 19.9

=== debian/changelog ===
mx-live-usb-maker (19.9) mx; urgency=medium

  * remove libcmd dependency

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Sep 2019 11:08:05 -0400

=== debian/control ===
Source: mx-live-usb-maker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8

Package: mx-live-usb-maker
Architecture: any
Depends: cli-shell-utils,
         live-usb-maker,
         menu,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: mx-live-usb-maker
 mx-live-usb-maker

## mx-live-usb-maker 19.10

=== debian/changelog ===
mx-live-usb-maker (19.10) mx; urgency=medium

  * stop timer first when execution ends

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Oct 2019 11:13:37 -0400

mx-live-usb-maker (19.9.01) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Sep 2019 14:27:01 -0400

## mx-live-usb-maker 19.11

=== debian/changelog ===
mx-live-usb-maker (19.11) mx; urgency=medium

  * add check for ignoring removable/usb for target combo box

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Oct 2019 22:52:47 -0400

## mx-live-usb-maker 19.11.01

=== debian/changelog ===
mx-live-usb-maker (19.11.01) mx; urgency=medium

  * don't show %f in ISO selection when launching from menu

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Oct 2019 11:23:16 -0400

## mx-live-usb-maker 19.11.02

=== debian/changelog ===
mx-live-usb-maker (19.11.02) mx; urgency=medium

  *  fix lsblk command

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 26 Oct 2019 19:28:42 -0400

## mx-live-usb-maker 19.12

=== debian/changelog ===
mx-live-usb-maker (19.12) mx; urgency=medium

  * guess default mode based on ISO type

 -- Adrian <adrian@mxlinux.org>  Sun, 22 Dec 2019 09:15:04 -0500

## mx-live-usb-maker 20.2

=== debian/changelog ===
mx-live-usb-maker (20.2) mx; urgency=medium

  * set default write mode when openning ISO by clicking on it

 -- Adrian <adrian@mxlinux.org>  Sun, 02 Feb 2020 12:58:26 -0500

## mx-live-usb-maker 20.2.1

=== debian/changelog ===
mx-live-usb-maker (20.2.1) mx; urgency=medium

  * change check for linuxfs to account for frugal installation

 -- Adrian <adrian@mxlinux.org>  Fri, 21 Feb 2020 16:09:17 -0500

## mx-live-usb-maker 20.6

=== debian/changelog ===
mx-live-usb-maker (20.6) mx; urgency=medium

  * fix button text replacement in KDE (use property insted of the text of the button)

 -- Adrian <adrian@mxlinux.org>  Tue, 16 Jun 2020 23:54:50 -0400

## mx-live-usb-maker 20.9

=== debian/changelog ===
mx-live-usb-maker (20.9) mx; urgency=medium

  * check destination drive size, pop-up warning if > 128GB

 -- Adrian <adrian@mxlinux.org>  Wed, 09 Sep 2020 22:48:37 -0400

mx-live-usb-maker (20.8) mx; urgency=medium

  * add .conf file option for LUM backend location (testing purposes)

 -- Dolphin <dolphinoracle@gmail.com>  Sat, 15 Aug 2020 18:39:29 -0400

## mx-live-usb-maker 20.9.1

=== debian/changelog ===
mx-live-usb-maker (20.9.1) mx; urgency=medium

  * fix data partition

 -- Adrian <adrian@mxlinux.org>  Mon, 14 Sep 2020 15:04:24 -0400

## mx-live-usb-maker 20.10

=== debian/changelog ===
mx-live-usb-maker (20.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Tue, 13 Oct 2020 12:13:16 -0400

## mx-live-usb-maker 20.12

=== debian/changelog ===
mx-live-usb-maker (20.12) mx; urgency=medium

  * added log viewer

 -- Adrian <adrian@mxlinux.org>  Sat, 26 Dec 2020 17:02:07 -0500

## mx-live-usb-maker 20.12.01

=== debian/changelog ===
mx-live-usb-maker (20.12.01) mx; urgency=medium

  * fix: log viewer

 -- Adrian <adrian@mxlinux.org>  Sun, 27 Dec 2020 15:29:04 -0500

## mx-live-usb-maker 21.4

=== debian/changelog ===
mx-live-usb-maker (21.4) mx; urgency=medium

  * fix: clone checkbox activation
  * fix: disk_size variable size
  * fix: progress bar when cloning

 -- Adrian <adrian@mxlinux.org>  Sun, 11 Apr 2021 02:39:11 -0400

## mx-live-usb-maker 21.7

=== debian/changelog ===
mx-live-usb-maker (21.7) mx; urgency=medium

  * Disable "make separate data partition" when percent of USB used < 100 and vice versa
  * Disable error check for pretend mode

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jul 2021 13:40:16 -0400

## mx-live-usb-maker 21.11

=== debian/changelog ===
mx-live-usb-maker (21.11) mx; urgency=medium

  * Display log in correct order

 -- Adrian <adrian@mxlinux.org>  Thu, 25 Nov 2021 00:39:23 -0500

## mx-live-usb-maker 22.1

=== debian/changelog ===
mx-live-usb-maker (22.1) mx; urgency=medium

  * Disable 'clone running live system' when booted encrypted

 -- Adrian <adrian@mxlinux.org>  Thu, 06 Jan 2022 17:18:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 
 Package: mx-live-usb-maker

## mx-live-usb-maker 22.1.01

=== debian/changelog ===
mx-live-usb-maker (22.1.01) mx; urgency=medium

  * Added a confirmation dialog

 -- Adrian <adrian@mxlinux.org>  Sun, 09 Jan 2022 20:13:11 -0500

## mx-live-usb-maker 22.4

=== debian/changelog ===
mx-live-usb-maker (22.4) mx; urgency=medium

  * Make sure text is added at end of output box (clicking inside the output box should not move cursor around)

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Apr 2022 14:27:02 -0400

## mx-live-usb-maker 22.6

=== debian/changelog ===
mx-live-usb-maker (22.6) mx; urgency=medium

  * Preserve user theme when launching program as root
  * Make sure HOME and XDG_RUNTIME_DIR are correct when launching as root
  * Improve cleaning up: make sure the ISO file is unmounted at failure

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 01:18:30 -0400

## mx-live-usb-maker 22.6.01

=== debian/changelog ===
mx-live-usb-maker (22.6.01) mx; urgency=medium

  * Make it possible to open the log while the ISO is being burned
  * Added % to two combo boxes to clarify those are percentages

 -- Adrian <adrian@mxlinux.org>  Fri, 17 Jun 2022 18:11:34 -0400

## mx-live-usb-maker 22.7.01

=== debian/changelog ===
mx-live-usb-maker (22.7.01) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:27:43 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Architecture: any
 Depends: cli-shell-utils,
          live-usb-maker,
-         menu,
          xdg-utils | mx-viewer,
          ${misc:Depends},
          ${shlibs:Depends}

## mx-live-usb-maker 22.8.01

=== debian/changelog ===
mx-live-usb-maker (22.8.01) mx; urgency=medium

  * correct help file filename

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 14 Aug 2022 15:25:17 -0400

## mx-live-usb-maker 22.8.02

=== debian/changelog ===
mx-live-usb-maker (22.8.02) mx; urgency=medium

  * Fix: launching Firefox from Help

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 21:52:54 -0400

## mx-live-usb-maker 22.8.03

=== debian/changelog ===
mx-live-usb-maker (22.8.03) mx; urgency=medium

  * Fix: launching documents from Help (fixes a problem in Plasma) 

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 19:06:50 -0400

## mx-live-usb-maker 22.10

=== debian/changelog ===
mx-live-usb-maker (22.10) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 27 Oct 2022 13:16:10 -0400

## mx-live-usb-maker 23.2

=== debian/changelog ===
mx-live-usb-maker (23.2) mx; urgency=medium

  * Add DISPLAY env variable to lum-launcher
  * Update translations 

 -- Adrian <adrian@mxlinux.org>  Sat, 18 Feb 2023 13:39:00 -0500

## mx-live-usb-maker 23.2.01

=== debian/changelog ===
mx-live-usb-maker (23.2.01) mx; urgency=medium

  * Make sure the temp folder used to detect type of ISO is removed
  * Removed a bit of terminal spam
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 19 Feb 2023 11:52:15 -0500

## mx-live-usb-maker 23.2.02

=== debian/changelog ===
mx-live-usb-maker (23.2.02) mx; urgency=medium

  * Better antiX/MX ISO detection without mounting

 -- Adrian <adrian@mxlinux.org>  Mon, 20 Feb 2023 14:10:26 -0500

## mx-live-usb-maker 23.2.03

=== debian/changelog ===
mx-live-usb-maker (23.2.03) mx; urgency=medium

  * Fix clone selection -- check against "clone" not against tr("clone")

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Feb 2023 14:20:31 -0500

## mx-live-usb-maker 23.2.04

=== debian/changelog ===
mx-live-usb-maker (23.2.04) mx; urgency=medium

  * Change ownership of the rc file created by KDE/Plasma

 -- Adrian <adrian@mxlinux.org>  Mon, 27 Feb 2023 19:49:06 -0500

## mx-live-usb-maker 23.4

=== debian/changelog ===
mx-live-usb-maker (23.4) mx; urgency=medium

  * Update icon
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Apr 2023 23:32:38 -0400

## mx-live-usb-maker 23.5

=== debian/changelog ===
mx-live-usb-maker (23.5) mx; urgency=medium

  * Update icon
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 May 2023 22:13:32 -0400

## mx-live-usb-maker 23.5.01

=== debian/changelog ===
mx-live-usb-maker (23.5.01) mx; urgency=medium

  * Update icon

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 22:22:17 -0400

## mx-live-usb-maker 23.7

=== debian/changelog ===
mx-live-usb-maker (23.7) mx; urgency=medium

  * Refresh translations
  * Update policy file

 -- Adrian <adrian@mxlinux.org>  Sat, 01 Jul 2023 19:21:06 -0400

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Depends: cli-shell-utils,
          live-usb-maker,
          xdg-utils | mx-viewer,
+         xorriso,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: mx-live-usb-maker

## mx-live-usb-maker 23.7.01

=== debian/changelog ===
mx-live-usb-maker (23.7.01) mx; urgency=medium

  * Fix typo

 -- Adrian <adrian@mxlinux.org>  Wed, 19 Jul 2023 10:42:42 -0400

## mx-live-usb-maker 23.7.02

=== debian/changelog ===
mx-live-usb-maker (23.7.02) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 16:39:10 -0400

## mx-live-usb-maker 23.10

=== debian/changelog ===
mx-live-usb-maker (23.10) mx; urgency=medium

  * Fix: open live-usb-maker log file

 -- Adrian <adrian@mxlinux.org>  Wed, 04 Oct 2023 13:15:08 -0400

## mx-live-usb-maker 23.11.01

=== debian/changelog ===
mx-live-usb-maker (23.11.01) mx; urgency=medium

  * Run program as normal user and elevate only when needed

 -- Adrian <adrian@mxlinux.org>  Thu, 02 Nov 2023 02:05:29 -0400

## mx-live-usb-maker 24.3

=== debian/changelog ===
mx-live-usb-maker (24.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:51:27 -0400

## mx-live-usb-maker 24.5

=== debian/changelog ===
mx-live-usb-maker (24.5) mx; urgency=medium

  * Fix: clone from mounted live system
  * Fix: drive size check
  * Change name for clarity: "clone an existing live system" -> "clone a mounted live system"
  * Avoid running cleaner if not needed, avoids asking for elevation at closing
  * Force unmounting "main" and "uefi" under /run/live-usb-maker

 -- Adrian <adrian@mxlinux.org>  Tue, 14 May 2024 23:11:09 -0400

## mx-live-usb-maker 24.6

=== debian/changelog ===
mx-live-usb-maker (24.6) mx; urgency=medium

  * Fix: enabling creating extra partition

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jun 2024 09:44:18 -0400

## mx-live-usb-maker 24.10.01

=== debian/changelog ===
mx-live-usb-maker (24.10.01) mx; urgency=medium

  * Fix window resizing when showing/hiding advanced options
  * Clarify that size of ESP is expressed in MB
  * Enable/disable relevant boxes when selecting checkbox

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Oct 2024 17:41:24 -0400

=== debian/control ===
--- 
+++ 
@@ -13,5 +13,6 @@
          xorriso,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: mx-launcher-l10n, gksu | pkexec
 Description: mx-live-usb-maker
  mx-live-usb-maker

## mx-live-usb-maker 25.6

=== debian/changelog ===
mx-live-usb-maker (25.6) mx; urgency=medium

  * Add warning if target size is too small
  * Prepare to move stuff out of /usr/local/ read script from alternative location
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Jun 2025 09:51:08 -0400

mx-live-usb-maker (25.4) mx; urgency=medium

  * Update to Qt6
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 10:36:26 -0400

=== debian/control ===
Source: mx-live-usb-maker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-live-usb-maker
Homepage: https://github.com/MX-Linux/mx-live-usb-maker

Package: mx-live-usb-maker
Architecture: any
Depends: cli-shell-utils,
         live-usb-maker,
         xdg-utils | mx-viewer,
         xorriso,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mx-launcher-l10n, gksu | pkexec
Description: MX Live USB Maker
 MX Live USB Maker is a graphical utility that allows users to easily
 create bootable USB drives for MX Linux. It provides a user-friendly
 interface for selecting the MX Linux ISO, configuring USB drive settings,
 and creating the bootable USB drive.

## mx-live-usb-maker 25.09.1

=== debian/changelog ===
mx-live-usb-maker (25.09.1) mx; urgency=medium

  * Perform cleanup that require elevation only when needed
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Fri, 12 Sep 2025 15:24:26 -0400

## mx-live-usb-maker 25.09.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,6 +113,7 @@
     ${HEADERS}
     ${UI_FILES}
     ${RESOURCE_FILES}
+    ./images.qrc
 )
 
 # Link Qt6 libraries

=== debian/changelog ===
mx-live-usb-maker (25.09.3) mx; urgency=medium

  * Change layout to make the windows fit for screens with smaller
    resolutions

 -- Adrian <adrian@mxlinux.org>  Thu, 25 Sep 2025 00:25:08 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper-compat (= 13),
-               qt6-base-dev,
-               qt6-base-dev-tools,
-               qt6-tools-dev,
-               qt6-tools-dev-tools
+Build-Depends: debhelper-compat (=12), cmake (>= 3.16), ninja-build, qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/MX-Linux/mx-live-usb-maker
 Homepage: https://github.com/MX-Linux/mx-live-usb-maker

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=6

override_dh_auto_configure:
	dh_auto_configure -- \
		-G Ninja \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_EXPORT_COMPILE_COMMANDS=ON

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/
	rm -f translations/*.qm

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_test:
	# Skip tests as no test targets are defined

override_dh_auto_install:
	# Install is handled by debian/install file
	dh_auto_install

%:
	dh $@ --buildsystem=cmake+ninja --no-automatic-dbgsym

## mx-live-usb-maker 25.12

=== debian/changelog ===
mx-live-usb-maker (25.12) mx; urgency=medium

  * Clarify update confirmation dialog

 -- Adrian <adrian@mxlinux.org>  Wed, 03 Dec 2025 14:32:17 -0500

## mx-live-usb-maker 26.01

=== debian/changelog ===
mx-live-usb-maker (26.01) mx; urgency=medium

  * Harden update mode options (disable actions that trigger reformating)

 -- Adrian <adrian@mxlinux.org>  Sat, 24 Jan 2026 08:58:20 -0500

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 Package: mx-live-usb-maker
 Architecture: any
-Depends: cli-shell-utils,
-         live-usb-maker,
+Depends: live-usb-maker,
          xdg-utils | mx-viewer,
          xorriso,
          ${misc:Depends},
